using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 导航：调查目的
    /// </summary>
    [Description("导航：调查目的")]
    public class T_SE_TRAIN_SURVEY_LIST_POINT : MesEntityBase
    {
        /// <summary>
        /// 调查ID
        /// </summary>
        [Description("调查ID")]
        [DataFieldForeignKey("Nav_Survey", "Nav_Points")]
        public Guid SURVEY_ID { get; set; }
        /// <summary>
        /// 导航: 试题
        /// </summary>
        [Description("导航: 试题")]
        public T_SE_TRAIN_SURVEY Nav_Survey { get; set; }
        /// <summary>
        /// 知识点ID
        /// </summary>
        [Description("知识点")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_Point")]
        public Guid POINT_ID { get; set; }
        /// <summary>
        /// 导航: 知识点
        /// </summary>
        [Description("导航: 知识点")]
        public T_SE_TEST_ENUM_POINT Nav_Point { get; set; }
    }
}
